package com.ruoyi.cms.service;

import java.util.List;

import com.ruoyi.common.core.domain.TreeSelect;
import com.ruoyi.common.core.domain.entity.Industry;

/**
 * 行业Service接口
 * 
 * @author LishunDong
 * @date 2024-11-12
 */
public interface IIndustryService 
{
    /**
     * 查询行业
     * 
     * @param industryId 行业主键
     * @return 行业
     */
    public Industry selectIndustryByIndustryId(Long industryId);

    /**
     * 查询行业列表
     * 
     * @param industry 行业
     * @return 行业集合
     */
    public List<Industry> selectIndustryList(Industry industry);

    /**
     * 新增行业
     * 
     * @param industry 行业
     * @return 结果
     */
    public int insertIndustry(Industry industry);

    /**
     * 修改行业
     * 
     * @param industry 行业
     * @return 结果
     */
    public int updateIndustry(Industry industry);

    /**
     * 批量删除行业
     * 
     * @param industryIds 需要删除的行业主键集合
     * @return 结果
     */
    public int deleteIndustryByIndustryIds(Long[] industryIds);

    List<TreeSelect> buildIndustryTreeSelect(List<Industry> industryList);

    boolean hasChildByIndustryId(Long industryId);

    List<TreeSelect> appIndustry();

    void importData();

}
